Subject: Re: Using git with Eclipse

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 10 Dec 2007 21:44:42 -0500

Wink Saville <[email-masked]> wrote:
> I'm trying to use git on an Eclipse workspace and the .metadata 
> directory is chock full of files and was wondering what, if anything, 
> should be ignored. At the moment .history looks like a candidate for 
> ignoring there are probably others.

Ignore all of .metadata; its Eclipse private state that you don't
want to version.  I'd add it to .git/info/exclude so its ignored only
in the repository that is using Eclipse, rather than in .gitignore
(which is published).

-- 
Shawn.